--- mpeg_lib.SlackBuild	2006-04-03 20:26:01.000000000 -0400
+++ mpeg_lib.SlackBuild.s390x	2006-09-16 19:40:06.000000000 -0400
@@ -4,19 +4,21 @@
 rm -rf $PKG
 mkdir -p $PKG
 VERSION=1.3.1
-ARCH=i386
-BUILD=2
+ARCH=${ARCH:-i386}
+BUILD=${BUILD:-2}
+
 cd $TMP
-tar xzvf $CWD/mpeg_lib-1.3.1.tar.gz
+tar xzvf $CWD/mpeg_lib-${VERSION}.tar.gz
 cd mpeg_lib-1.3.1
+
+cp -vp /usr/share/libtool/config.* ./
+
 ./configure --prefix=/usr \
+            --libdir='${exec_prefix}/lib64' \
             --sysconfdir=/etc \
-            i386-slackware-linux
+            ${ARCH}-slackware-linux
 make
-mkdir -p $PKG/usr/lib
-cp libmpeg.a $PKG/usr/lib
-mkdir -p $PKG/usr/include
-cp -a mpeg.h $PKG/usr/include
+make install prefix=$PKG/usr
 chown root:root $PKG/usr/include/mpeg.h
 chmod 644 $PKG/usr/include/mpeg.h
 mkdir -p $PKG/usr/doc/libmpeg-1.3.1
